#include <iostream>
#include <cmath>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    string tekst,cenz;
    cin >> tekst>>cenz;
    int ba=0,bb=0,oda=0,k;
    if(cenz=="ab"){
        for(int i =0;i<tekst.size();i++){
            if(tekst[i]=='a'){
                ba+=1;
                oda+=1;
            }
            if(tekst[i]=='b' && ba>0){
                oda=0;
                bb+=1;
            }
        }
        ba-=oda;
        if(ba>bb){
            k=bb;
            bool pra=false;
            for(int i =0;i<tekst.size();i++){
                if(tekst[i]=='a'){
                    pra=true;
                }
                if(tekst[i]=='b' && pra && bb>0){
                    tekst[i]='*';
                    bb-=1;
                }
            }
        }
        else{
            k=ba;
            for(int i =0;i<tekst.size();i++){
                if(tekst[i]=='a' && ba>0){
                    tekst[i]='*';
                    ba-=1;
                }
            }
        }
        cout<<tekst<<endl<<k;
    }
    else{
        int x=cenz.size();
        for(int i =0;i<tekst.size();i++){
            if(tekst[i]=='a'){
                if(x>0){
                    tekst[i]='*';
                    x-=1;
                }
            }
        }
        cout<<cenz.size()<<endl<<tekst;
    }
    return 0;
}